org.apache.cassandra.db

## Class PartitionColumns

- java.lang.Object
- - org.apache.cassandra.db.PartitionColumns

All Implemented Interfaces:
  java.lang.Iterable<ColumnDefinition>

    public class PartitionColumns
    extends java.lang.Object
    implements java.lang.Iterable<ColumnDefinition>

Columns (or a subset of the columns) that a partition contains. This mainly groups both static and regular columns for convenience.

### Nested Class Summary

Nested Classes
`static class` `PartitionColumns.Builder`

### Field Summary

Fields
`static PartitionColumns` `NONE`
`Columns` `regulars`
`Columns` `statics`

### Constructor Summary

Constructors
Constructor and Description
`PartitionColumns(Columns statics, Columns regulars)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PartitionColumns.Builder` `builder()`
`Columns` `columns(boolean isStatic)`
`boolean` `contains(ColumnDefinition column)`
`boolean` `equals(java.lang.Object other)`
`int` `hashCode()`
`boolean` `includes(PartitionColumns columns)`
`boolean` `isEmpty()`
`java.util.Iterator<ColumnDefinition>` `iterator()`
`PartitionColumns` `mergeTo(PartitionColumns that)`
`static PartitionColumns` `of(ColumnDefinition column)`
`java.util.Iterator<ColumnDefinition>` `selectOrderIterator()`
`int` `size()` Returns the total number of static and regular columns.
`java.lang.String` `toString()`
`PartitionColumns` `without(ColumnDefinition column)`
`PartitionColumns` `withoutStatics()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### NONE

    public static PartitionColumns NONE

#### statics

    public final Columns statics

#### regulars

    public final Columns regulars

### Constructor Detail

#### PartitionColumns

    public PartitionColumns(Columns statics,
                            Columns regulars)

### Method Detail

#### of

    public static PartitionColumns of(ColumnDefinition column)

#### without

    public PartitionColumns without(ColumnDefinition column)

#### withoutStatics

    public PartitionColumns withoutStatics()

#### mergeTo

    public PartitionColumns mergeTo(PartitionColumns that)

#### isEmpty

    public boolean isEmpty()

#### columns

    public Columns columns(boolean isStatic)

#### contains

    public boolean contains(ColumnDefinition column)

#### includes

    public boolean includes(PartitionColumns columns)

#### iterator

    public java.util.Iterator<ColumnDefinition> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<ColumnDefinition>`

#### selectOrderIterator

    public java.util.Iterator<ColumnDefinition> selectOrderIterator()

#### size

    public int size()

Returns the total number of static and regular columns.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### builder

    public static PartitionColumns.Builder builder()